%define ver_major 1.1

Name: meld
Version: %ver_major.5.1
Release: alt2.qa1

Summary: Meld Diff Viewer

License: %gpl2plus
Group: Text tools
Url: http://meld.sourceforge.net/

Packager: Alexey Rusakov <ktirf@altlinux.ru>

Source: %name-%version.tar

BuildArch: noarch

Requires(post,postun): scrollkeeper
%py_package_requires pygtk >= 2.8
%py_requires gtksourceview libglade bonobo
%add_python_req_skip misc

BuildPreReq: rpm-build-licenses
BuildPreReq: python-devel >= %__python_version
BuildPreReq: intltool
BuildPreReq: scrollkeeper

BuildRequires: python-modules-encodings

%description
Meld is a visual diff and merge tool. It integrates especially well with
CVS. The diff viewer lets you edit files in place (diffs update
dynamically), and a middle column shows detailed changes and allows
merges. The margins show location of changes for easy navigation, and it
also features a tabbed interface that allows you to open many diffs at
once.

%prep
%setup

# Misuse of localstatedir and the whole Scrollkeeper problem is a matter of
# http://bugzilla.gnome.org/show_bug.cgi?id=446157
%__subst "s:-scrollkeeper:#-scrollkeeper:" help/*/GNUmakefile
%__subst "s:$(localstatedir)/lib/:$(localstatedir)/:" help/*/GNUmakefile

%install
%make_install DESTDIR=%buildroot prefix=%_prefix install

%find_lang %name --with-gnome

%post
%update_scrollkeeper
%update_menus

%postun
%clean_scrollkeeper
%clean_menus

%files -f %name.lang
%_bindir/%name
%dir %_datadir/%name
%_datadir/%name/*
%dir %_libexecdir/%name
%_libexecdir/%name/*
%_desktopdir/%name.desktop
%_datadir/application-registry/*
%_pixmapsdir/*
%doc AUTHORS COPYING changelog

%changelog
* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 1.1.5.1-alt2.qa1
- NMU (by repocop): the following fixes applied:
 * update_menus for meld

* Wed Mar 05 2008 Alexey Rusakov <ktirf@altlinux.org> 1.1.5.1-alt2
- Re-updated Russian translation again.

* Mon Mar 03 2008 Alexey Rusakov <ktirf@altlinux.org> 1.1.5.1-alt1
- New version (1.1.5.1).
- Switching to git-based package building.
- Use license macro, more usage of path macros.
- Removed Russian summary and description from the specfile.
- Added Packager tag to the specfile.
- Updated Russian translation.
- Removed exclusion of Scrollkeeper files in /var, this is no more needed.
- Use %%make_install macro instead of %%makeinstall.

* Sun Jun 10 2007 Alexey Rusakov <ktirf@altlinux.org> 1.1.5-alt1
- new version (1.1.5)
- spec cleanup
- 'tweak patch preview' patch went upstream.
- use %%makeinstall macro for installation, as it is more suitable here than
  %%make_install; added a quickfix for incorrect localstatedir usage inside
  install scripts
- updated Russian translation

* Thu Jun 15 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.1.4-alt2
- updated from CVS
- 'editable patch preview' patch went upstream.
- minor fix in Russian translation.
- a new patch: 'syntax highlight in patch preview'.

* Sun Jun 11 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.1.4-alt1
- new version (1.1.4)
- updated Russian translation.

* Tue Jun 06 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.1.3-alt2
- fixed building on x86_64
- removed Debian menu support.

* Tue Jun 06 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.1.3-alt1
- new version 1.1.3
- fixed bug #9668.
- patch #3 went upstream.

* Thu Nov 10 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.1.2-alt2
- Added a patch for cairo drawing and upped PyGtk version requirement due to it.
- Using Russian translation from the tarball (hopefully fixes bug #8428).

* Wed Nov 09 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.1.2-alt1
- new version

* Thu Oct 27 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.1.1-alt1
- new version

* Mon Jul 04 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.0.0-alt1
- Official release.

* Thu Jun 30 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.9.6-alt4
- 1.0 pre-release.
- Updated Russian translation.

* Mon Jun 20 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.9.6-alt3
- New CVS snapshot.

* Sat Jun 04 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.9.6-alt2
- Updated from CVS.
- Added a patch for GNOME Bug #158071.

* Fri May 20 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.9.6-alt1
- New upstream version.

* Sun Apr 10 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.9.5-alt3
- Sources updated from CVS (minor fixes).
- Additional updates to Russian translation.

* Sat Mar 12 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.9.5-alt2
- Added description to spec.
- Russian translation.

* Tue Feb 08 2005 Vitaly Lipatov <lav@altlinux.ru> 0.9.5-alt1
- new version
- add requires for gtksourceview

* Tue Nov 30 2004 Vitaly Lipatov <lav@altlinux.ru> 0.9.4.1-alt2
- add requires for libglade (bug #5583)
- fix source and Url in spec

* Sun Nov 07 2004 Vitaly Lipatov <lav@altlinux.ru> 0.9.4.1-alt1
- first build for ALT Linux Sisyphus

